NNG_STAT_FIND(3)

NAME
nng_stat_find - find statistic by name

SYNOPSIS

    #include <nng/nng.h>

    typedef struct nng_stat nng_stat;

    nng_stat *nng_stat_find(nng_stat *stat, const char *name);

DESCRIPTION

The nng_stat_find() function searches the statistics tree stat, looking for a statistic whose name is name. If it finds one, it returns it. Otherwise NULL is returned.

    Note

    If multiple statistics have that name, then only the first match is returned.

RETURN VALUES

The matching statistic, or NULL if no match is found.

ERRORS

None.

SEE ALSO

libnng(3), nng_stat_child(3), nng_stat_find_dialer(3), nng_stat_find_listner(3), nng_stat_find_socket(3), nng_stats_get(3), nng_stat(5), nng(7)